settings_t Struct Reference

Struct holding options for settings taken from a key-value config file. More...

`#include <settings.h>`

## Data Fields

gchar * | file_name
gchar * | group_name
GKeyFile * | key_file

## Detailed Description

Struct holding options for settings taken from a key-value config file.

## Field Documentation

## file_name

gchar* settings_t::file_name

Filename containing key-value pairs.

## group_name

gchar* settings_t::group_name

Name of the group containing key-value pairs.

## key_file

GKeyFile* settings_t::key_file

GKeyFile object where the file is load.

The documentation for this struct was generated from the following file:

- base/settings.h